Skip to main content

GET v3/inbounds

GET 

/v3/inbounds

List the inbounds received at Paxon warehouses, with filters and pagination.

Allows the retreival of multiple inbounds and their related details. This endpoint support pagination and various filters as indicated below.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only cursor-based technique for pagination.

Filters​

The GET v3/inbounds endpoint supports filtering on the following attributes: status.

Filtering on status​

The end point allows to set a filter on the status of the inbounds. The filter accepts multiple status values, each of which must be URL encoded and separated by a comma. Be aware that the status values must be URL encoded to avoid being interpreted incorrecly.

  • GET {host}/v3/inbounds?filter[status][in]=ABC,DEF will return the inbounds with status ABC and DEF.
  • GET {host}/v3/inbounds?filter[status][in]=ABC%2CDEF will return the inbounds with the status ABC,DEF.

The endpoint also supports the inclusion of information of its related inboundItems negating the need to access these directly. GET {host}/v3/inbounds?include=inboundItems will return for each inbound the list of inboundItems with their details.

Limitations of GET v3/inbounds​

When using this endpoint, expect the following limits on the result set

  • At most 100 inbounds will be returned regardless of the page[size] settings provided in the request.
  • Ordering is based on the id of the inbound in ascending order.
  • Users are rate-limited to 120 requests per hour on this service.

Request​

Responses​

A successful response will yield an array of inbounds resources (either empty or populated). The next link can be used to retreive the next set of inbounds that match the request.